Name:		audacity
Version:	1.2.3
Release:	1
Epoch:		0
Summary: 	A multitrack audio editor

Group: 		Applications/Multimedia
License:	GPL
URL: 		http://audacity.sourceforge.net
Source: 	http://dl.sf.net/sourceforge/audacity/audacity-src-1.2.3.tar.gz
Source1:	audacity.png
Patch1:		audacity-1.2.2-aboutdialog.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libogg-devel, libvorbis-devel, zlib-devel, perl
BuildRequires: 	gettext, zip, flac-devel, ladspa-devel
BuildRequires:	libsamplerate-devel, libsndfile-devel
BuildRequires:	libid3tag-devel, desktop-file-utils
%{?_with_mp3:BuildRequires: libmad-devel}
%{?_with_gtk2:BuildRequires: wxGTK2-devel}
%{!?_with_gtk2:BuildRequires: wxGTK-devel}
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

# Compile options:
# --with mp3          : enable mp3 support
# --with gtk2	      : use gtk2 version of wxGTK
# --with portaudiov19 : enable version 19 of portaudio (disables portmixer)


%description
Audacity is a cross-platform multitrack audio editor. It allows you to
record sounds directly or to import Ogg, WAV, AIFF, AU, IRCAM, or MP3
files. It features a few simple effects, all of the editing features
you should need, and unlimited undo. The GUI was built with wxWindows
and the audio I/O currently uses OSS under Linux. Audacity runs on
Linux/*BSD, MacOS, and Windows.

%prep
%setup -q -n %{name}-src-%{version}
%patch1 -p1 -b .aboutdialog
cp -a src/Languages.cpp src/Languages.cpp.orig
iconv -f ISO_8859-1 -t UTF-8 src/Languages.cpp.orig > src/Languages.cpp
for i in help/wxhelp/audacity.hhk help/wxhelp/exportmp3.htm locale/*.po src/export/ExportMP3.cpp
do
   perl -pi -e 's|libmp3lame.so|libmp3lame.so.0|g' $i
done

%build
%configure --with-help --with-libsndfile=system --with-libsamplerate=system --with-libflac=system --with-ladspa --with-vorbis=system --with-id3tag=system %{?_with_mp3:--with-libmad=system} %{?_with_portaudiov19:--with-portaudio=v19 --without-portmixer}
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps

cat > audacity.desktop <<EOF
[Desktop Entry]
Name=Audacity
GenericName=Sound editor
Type=Application
Exec=audacity
Icon=audacity.png
Terminal=false
Comment=A multitrack audio editor
Encoding=UTF-8
X-Desktop-File-Install-Version=0.4
MimeType=audio/*;application/ogg;
StartupWMClass=Audacity
EOF

desktop-file-install --vendor fedora \
    --add-category X-Fedora \
    --add-category Application \
    --add-category GNOME \
    --add-category AudioVideo \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    audacity.desktop

%{find_lang} %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :

%postun
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/audacity
%{_mandir}/*/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%doc %{_datadir}/doc/*

%changelog
* Sat Nov 20 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.3-1
- New Version 1.2.3

* Sat Oct 30 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:1.2.2-0.fdr.1
- Update to 1.2.2, patch aboutdialog to be readable with wxGTK.

* Mon May 10 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.1-0.fdr.1
- New Version 1.2.1

* Sun Apr 11 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.2
- Fix for Language.cpp restored

* Tue Mar  2 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.1
- New Version 1.2.0

* Mon Nov 24 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.4.pre3
- Added icon
- Separated mp3 plugin

* Sun Nov 23 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.2.pre3
- Changes to specfile

* Sun Nov  2 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.1.pre3
- New upstream version 1.2.0-pre3

* Sat Oct 25 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-pre2.fdr.1
- First Fedora release

